/*
 * 跳转页面
 */
function showpage(x, y) {
	mui.openWindow({
		url: x,
		id: y,
		preload: true,
		show: {
			aniShow: 'pop-in'
		},
		styles: {
			popGesture: 'close'
		}
	});
}

/*
 * 未读数请求接口
 */
var objData;
function ajaxNotnum(url){
	try {
	    $.ajax({
	        url:url,
	        type: "GET",
			async: false,
	        success:function(data){

	        	try {
				    objData = JSON.parse(data);
				    return objData;
		  		} catch(e) {
			    
			    	mui.toast('获取数据失败');
		  		}
	        },
	        error: function(xhr, textStatus, error) {						
				if(textStatus == "error")
				mui.toast('请检查网络连接');
			}
	    });
	    
	}catch(e) {
	
	  mui.toast("请检查网络连接");
	
	}
}
			

/*
 * 全局变量
 */
var imgurls = 'https://ftps.fromfuture.cn/ftp',//图片地址
arry = {},count = 1,stars,
getServerTimer,//服务器时间戳
currentTime = timeAjax();//调用

/*
 * ajax请求封装（咨询（图文、语音、视频）列表）
 */
function jiaohu(url,data,callback){
	try {
	    $.ajax({
	        url:url,
	        type: "GET",
			async: false,
			dataType: "json",
			data: {
			  pageNo: count
			},
	        success:function(data){
	        	try {
							  			
				    if(data.code == 000){
				    	arry = data.data;
	
				    }else if(data.code == 001){
				    	mui.toast('请求出错'); 
				    }
				    
				    if(callback){//回调
				    	
				    	callback(data.data)
				    }
		  		} catch(e) {
			    
			    	mui.toast('获取数据失败');
		  		}
	        },
	        error: function(xhr, textStatus, error) {						
				if(textStatus == "error")
				mui.toast('请检查网络连接');
			}
	    });
	    
	}catch(e) {
	
	  mui.toast("请检查网络连接");
	
    }
}

//获取当前日期
function getDay(day){
　　var today = new Date(); 
　　var targetday_milliseconds=today.getTime() + 1000*60*60*24*day; 
　　today.setTime(targetday_milliseconds); //注意，这行是关键代码 
　　var tYear = today.getFullYear(); 
　　var tMonth = today.getMonth(); 
　　var tDate = today.getDate(); 
　　tMonth = doHandleMonth(tMonth + 1); 
　　tDate = doHandleMonth(tDate); 
　　return tYear+"-"+tMonth+"-"+tDate; 
}

//日期拼接
function doHandleMonth(month){
　　var m = month; 
　　if(month.toString().length == 1){ 
　　　　m = "0" + month; 
　　} 
　　return m; 
}

function swipers(){
	var swiper = new Swiper('.swiper-container', {
	    pagination: '.swiper-pagination',
	    slidesPerView: 3,
	    paginationClickable: true,
	    spaceBetween: 30
	});
}

/*
 * ajax请求服务器时间戳
 */
function timeAjax(){
	var timeStamp;
	try {
	    $.ajax({
	        url:"https://xlzx.fromfuture.cn/GZ/common/querySystemParam",
	        type: "GET",
			async: false,
			dataType: "json",
	        success:function(data){
	        	try {
		  			
				    if(data.code == 000){
						
						timeStamp = parseInt(data.data.systemTime);
						getServerTimer = data.data.systemTime;
	
				    }else if(data.code == 001){
				    	
				    	mui.toast('请求出错'); 
				    }
		  		} catch(e) {
			    
			    	mui.toast('获取数据失败');
		  		}
	        },
	        error: function(xhr, textStatus, error) {						
				if(textStatus == "error")
				mui.toast('请检查网络连接');
			}
	    });
	    
	}catch(e) {
	
	  mui.toast("请检查网络连接");
	}
	
	return timeStamp;
}

/**
 * 订单是否有效验证
 */
function sateAjax(url,data,callback){
	var sateObj;
	try {
	    $.ajax({
	        url:url,
	        type: "GET",
			async: false,
	        success:function(data){
	        	try {
	        		data = JSON.parse(data);
		  			
				    if(data.code == 000){
				    	
						sateObj = data.data.orderStateMp;
						
				    }else if(data.code == 001){
				    	
				    	mui.toast('请求出错'); 
				    }
		  		} catch(e) {
			    
			    	mui.toast('获取数据失败');
		  		}
	        },
	        error: function(xhr, textStatus, error) {						
				if(textStatus == "error")
				mui.toast('请检查网络连接');
			}
	    });
	    
	}catch(e) {
	
	  mui.toast("请检查网络连接");
	
    }
	
	return sateObj;
}




function updateTime(url){
	try {
	    $.ajax({
	        url:url,
	        type: "POST",
			async: false,
	        success:function(data){
	        	try {
	        		
	        		data = JSON.parse(data);
				    
		  		} catch(e) {
			    
			    	mui.toast('获取数据失败');
		  		}
	        },
	        error: function(xhr, textStatus, error) {						
				if(textStatus == "error")
				mui.toast('请检查网络连接');
			}
	    });
	    
	}catch(e) {
	
	  mui.toast("请检查网络连接");
	
    }
}

		