/**
 * 通过ID获取HTML对象的通用方法，使用$代替函数名称
 */
function GZ(elementId) {
  return document.getElementById(elementId);
}

/**
 * 动态获取屏幕高度赋值给BODY
 */
var body_H = window.screen.height;
//alert(body_H);
document.body.style.height = body_H + 'px';

/**
 * 注册登录账号
 * 1、手机号码正则表达式
 * 2、验证用户输入手机号码是否符合正则mobileNum();
 */
function isReg(str) {
  var reg = /^((13[0-9])|(14[0-9])|(15[0-9])|(17[0-9])|(18[0-9]))[0-9]{8}$/;
  return reg.test(str);
}

function checkTelAndPwd() {

//var phone = GZ('userphone').value;
//
//if(phone == "" || phone == null) {
//
//  //	手机号为空时提示：手机号码不能为空
//  mui.toast('手机号不能为空');
//  return false;
//
//} else if(!isReg(phone)) {
//
//  mui.toast('请输入正确的手机号');
//  return false;
//
//}

  var userpwd = GZ('userpwd').value; // 用户输入的密码

  if(userpwd == "") {

    mui.toast('密码不能为空');
    return false

  }

  return true;

}

/**
 * 登录按钮
 */
var usrTex;
mui("body").on("tap", "#input_check", function() {
	$('input').blur();

  var name = GZ("userphone").value; // 获取用户填写的手机号
  var password = GZ('userpwd').value; // 获取用户填写的密码
  
  if(name == ""){
  	mui.toast('用户名不能为空');
  	return;
  }
  if(password == ""){
  	mui.toast('密码名不能为空');
  	return;
  }

  if(checkTelAndPwd() == true) {

    /**
     * 服务器地址：https://xlzx.fromfuture.cn/GZ/HLogin/in?name=15779102820&password=1
     * name:手机号
     * passwd:密码
     */
    var url = HEART_WEBBASE + "HLogin/in?";
    url += "name=" + name + "&password=" + password;
    console.log(url);

    try {

      //用户输入字段正确后调用按钮可用方法
      $.ajax({
        url: url,
        type: 'POST',
        async: false,
        dataType: "json",
        success: function(result) {

          try {
            usrTex = result.data["user"];	// 存储医生咨料

//            mui.toast("url: "+url+"\n\n结果 "+JSON.stringify(result));
            if(result.code == "000") {

              mui.toast("登录成功");

              window.localStorage.setItem('HEART_APP_LOGINID', usrTex.id); //用户权限id
              window.localStorage.setItem('HEART_APP_DOCID', usrTex.docid); // 用户维一标识	
              window.localStorage.setItem('HEART_APP_USRNAM', usrTex.name); //用户名称
              window.localStorage.setItem('HEART_APP_USRIMG', usrTex.photoid); //用户头像
              window.localStorage.setItem('HEART_APP_USRJOB', usrTex.titlename); //用户职称
              

              if(HEART_BROWSETYPE == 'IOS') {

              } else if(HEART_BROWSETYPE == 'ANDROID') {
                    window.android.loginsuccess(usrTex.id,usrTex.docid, "", usrTex.name, usrTex.photoid);
              } else {
                mui.openWindow({
                  url: 'index.html',
                  id: 'index.html'
                });
              }
              return;

            } else if(result.code == "003") {

              mui.toast("用户不存在");
              return;

            } else if(result.code == "002") {

              mui.toast("密码错误");
              return;

            } else {

              mui.toast("登录失败");
              return;
            }

          } catch(error) {

            mui.toast("接口错误，请联系客服");
          }

        },
        error: function(xhr, status, error) {
          if(status == "error")
            mui.toast('请尝试连接网络');
        }

      });

    } catch(error) {

      mui.toast("请检查网络连接");
    }

  }

})
mui("body").on("tap", "#forget_pwd", function() {

  if(HEART_BROWSETYPE == 'IOS') {
    showpage('changePwd.html');

  } else if(HEART_BROWSETYPE == 'ANDROID') {
    showpage('changePwd.html');

  } else {
    mui.openWindow({
      url: 'changePwd.html',
      id: 'changePwd.html'
    });
  }
})