var HEART_BROWSETYPE = ''; //声明应用类型,是Android还是IOS或者是PC
var HEART_WEBBASE = "https://xlzx.fromfuture.cn/GZ/"; //定义服务器地址
var imgurl = 'https://xlzx.fromfuture.cn/GZ/images/getimages?guid=';//头像、图片地址
// 判断浏览器版本
var browser = {

	versions: function() {

		var u = navigator.userAgent,
			app = navigator.appVersion;

		//移动终端浏览器版本信息
		return {
			trident: u.indexOf('Trident') > -1, //IE内核
			presto: u.indexOf('Presto') > -1, //opera内核
			webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
			gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
			mobile: !!u.match(/AppleWebKit.*Mobile.*/) || !!u.match(/AppleWebKit/), //是否为移动终端
			ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
			android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
			iPhone: u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1, //是否为iPhone或者QQHD浏览器
			iPad: u.indexOf('iPad') > -1, //是否iPad
			webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
		};
	}(),
	language: (navigator.browserLanguage || navigator.language).toLowerCase()
}

if(browser.versions.ios || browser.versions.iPhone || browser.versions.iPad) {

	HEART_BROWSETYPE = 'IOS';

} else if(browser.versions.android) {

	HEART_BROWSETYPE = 'ANDROID';

}

var HEART_APP_LOGINID = ""; //定义用户账号
var HEART_APP_DOCID = ""; //定义用户唯一编码(32位编码)
var HEART_APP_USERPWD = ""; //定义用户存储密码
var HEART_APP_USRNAM = ""; //定义用户姓名
var HEART_APP_USRIMG = ""; //定义用户头像
var HEART_APP_USRJOB = "";//职称

try {

	HEART_APP_DOCID = window.localStorage.getItem("HEART_APP_DOCID");
	HEART_APP_LOGINID = window.localStorage.getItem("HEART_APP_LOGINID");
	HEART_APP_USERPWD = window.localStorage.getItem("HEART_APP_USERPWD");
	HEART_APP_USRNAM = window.localStorage.getItem("HEART_APP_USRNAM");
	HEART_APP_USRIMG = window.localStorage.getItem("HEART_APP_USRIMG");
	HEART_APP_USRJOB = window.localStorage.getItem("HEART_APP_USRJOB");

} catch(e) {}

if(HEART_APP_LOGINID == null) HEART_APP_LOGINID = '';
if(HEART_APP_DOCID == null) HEART_APP_DOCID = '';
if(HEART_APP_USRNAM == null) HEART_APP_USRNAM = '';
if(HEART_APP_USERPWD == null) HEART_APP_USERPWD = '';
if(HEART_APP_USRIMG == null) HEART_APP_USRIMG = '';
if(HEART_APP_USRJOB == null) HEART_APP_USRJOB = '';

//公共的打开页面方法
function showpage(page, pageId) {

	if(HEART_APP_USERPWD == '') {
		page = "login.html";
		pageId = "login";
	}

	mui.openWindow({
		url: page,
		id: pageId,
		preload: true,
		show: {
			aniShow: 'pop-in'
		},
		styles: {
			popGesture: 'hide'
		},
		waiting: {
			autoShow: false
		}
	});

}

/**
 * 作用：获取URL地址栏中的参数并返回值
 * @param 需要获取URL中的某个参数， String类型
 */
function GetLocationParam(param) {

	// 得到window.location的某个参数
	var ss = ('' + window.location).split('?');
	if(ss.length > 1) {
		var sss = ss[1].split('&');
		for(var i = 0; i < sss.length; i++) {
			var ssss = sss[i].split('=');
			if(ssss.length > 1 && ssss[0] == param) return ssss[1];
		}
	}
	return '';
}

/**
 * 作用：通过GZ代替document.getElementById('')，达到快速简捷的作用
 * @param elementId 传入的ID名
 */
function GZ(elementId) {
	return document.getElementById(elementId);
}
